# Copyright 1999-2010 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header:

EAPI="2"

inherit eutils

DESCRIPTION="FLAIM is an embeddable cross-platform database engine that provides
a rich, powerful, easy-to-use feature set."
HOMEPAGE="http://flaim.sourceforge.net"
SRC_URI="http://ftp.disconnected-by-peer.at/flaim/${P}.tar.gz
	mirror://sourceforge/flaim/files/stable/flaim/source/${P}.tar.gz"

LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~arm ~ppc ~x86"
RESTRICT="mirror"

RDEPEND="!dev-lib/libflaimtk"

DEPEND="${RDEPEND}"

# S="${WORKDIR}/${P}/flaim"

src_prepare() {
	epatch ${FILESDIR}/libflaim-4.9.1052-fortify-source.patch
#	epatch ${FILESDIR}/libflaim-4.9.1052-gcc43.patch
#	epatch ${FILESDIR}/libflaim-4.9.1052-gcc44.patch
	epatch ${FILESDIR}/libflaim-4.9.1052-optflags.patch
#	epatch ${FILESDIR}/do-not-compile-with-werror.patch
	epatch ${FILESDIR}/libflaim-4.9.1052-no-ldconfig-1.patch
}

src_compile() {
	cd flaim
	make DESTDIR=${D} CXXFLAGS="${CXXFLAGS} -Wno-error" OSTYPE=`uname -s` HOSTTYPE=`uname -m`  || \
	die "Error compiling ${PN}"
}

src_install() {
	cd flaim
	make DESTDIR=${D} install OSTYPE=`uname -s` HOSTTYPE=`uname -m` || \
	die "Error installing ${PN}"
}
