# Copyright 1999-2010 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI="2"
inherit autotools subversion
ESVN_REPO_URI="https://flaim.svn.sourceforge.net/svnroot/flaim/trunk/sql/@${PV/6.0_pre/}"

DESCRIPTION="FLAIM is an acronym that stands for FLexible Adaptable Information Management."
HOMEPAGE="http://flaim.sourceforge.net/"

LICENSE="GPL-2"
KEYWORDS="~amd64 ~arm ~x86"
SLOT="0"
IUSE="static debug"

RDEPEND="sys-libs/ncurses
	>=dev-libs/libflaimtk-1.2_pre${PV/6.0_pre/}"
DEPEND="${RDEPEND}
	>=sys-devel/libtool-2.2"

src_prepare() {
	eautoreconf -i
}

src_configure() {
	econf \
	$(use_enable debug) \
	econf $(use_enable static) || die "configure failed"
}

src_install() {
	einstall || die "einstall failed"
	rm -r "${D}"/usr/share/doc/sqlflaim || die "rm olddoc failed"
	dodoc AUTHORS NEWS ChangeLog README || die "dodoc failed"
}
