# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI="2"

inherit autotools subversion

ESVN_REPO_URI="https://flaim.svn.sourceforge.net/svnroot/flaim/trunk/ftk/@${PV/1.2_pre/}"

DESCRIPTION="FLAIM is an acronym that stands for FLexible Adaptable Information Management."
HOMEPAGE="http://flaim.sourceforge.net/"

LICENSE="GPL-2"
KEYWORDS="~amd64 ~arm ~x86"
SLOT="0"
IUSE="ssl doc static debug"

RDEPEND="sys-libs/ncurses
	ssl? ( dev-libs/openssl )"
DEPEND="${RDEPEND}
	>=sys-devel/libtool-2.2
	doc? ( app-doc/doxygen )"

src_prepare() {
	eautoreconf -i
}

src_configure() {
	econf \
	$(use_enable static) \
	$(use_enable debug) \
	$(use_enable ssl openssl)  || die "configure failed"
}

src_install() {
	einstall || die "einstall failed"
	rm -r "${D}"/usr/share/doc/flaimtk || die "rm olddoc failed"
	dodoc AUTHORS NEWS ChangeLog README || die "dodoc failed"
	use doc && dohtml -r docs/html/*

}
