# Copyright 1999-2009 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI="2"
WANT_AUTOMAKE=1.9

#ESVN_REPO_URI="https://forgesvn1.novell.com/svn/simias/trunk/@${PV/3.7_pre/}"
#inherit autotools eutils mono subversion

inherit autotools eutils mono

DESCRIPTION="Enterprise backend for iFolder"
HOMEPAGE="http://www.ifolder.com/"
SRC_URI="mirror://sourceforge/ifolder3/files/iFolder%20Clients/3.8.0/novell-ifolder-client-plugins-${PV}.tar.gz -> ${P}.tar.gz
	http://ftp.disconnected-by-peer.at/ifolder/${P}.tar.gz"

LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~arm ~x86"
RESTRICT="mirror"

DEPEND="!www-apps/ifolder3-enterprise-plugins
	net-misc/ifolder3"
RDEPEND="${DEPEND}"

S="${WORKDIR}/novell-ifolder-client-plugins-${PV}"

src_prepare() {
#	epatch "${FILESDIR}"/WSDLPATCH-1.diff
#	epatch "${FILESDIR}"/configure.in-xsp-check-by-dl9pf-version3.diff
#	epatch "${FILESDIR}"/simias-libtool22-1.patch
	epatch "${FILESDIR}"/ifolder3-plugins-3.8-mono22-1.patch
#	epatch "${FILESDIR}"/simias-mononamespace.dpatch
#	epatch "${FILESDIR}"/simias-etc_use_destdir.dpatch
#	epatch "${FILESDIR}"/simias-bash.dpatch
#	epatch "${FILESDIR}"/simias_make_gcc43_happy.diff
#	epatch "${FILESDIR}"/simias-libflaim_shared-1.patch
#	epatch "${FILESDIR}"/simias-1.8-use_system_gsoap-2.patch
#	epatch "${FILESDIR}"/gsoap-2.7.12.patch
#	epatch "${FILESDIR}"/simias-recovery_agent-fix-1.patch
	#Patch the path of mod_mono.conf
#	epatch ${FILESDIR}/${PN}-mod_mono-path.patch
#	epatch ${FILESDIR}/${PN}-apache-rights.patch
#	epatch ${FILESDIR}/${PN}-simias-server-setup.patch

#	epatch ${FILESDIR}/new_mod_mono.diff
#	epatch ${FILESDIR}/ifolder-3.8-admin-setup-1.diff
#	epatch ${FILESDIR}/ifolder-apache-conf.diff
#	epatch ${FILESDIR}/ifolder-3.8-web-setup-1.diff
#	epatch ${FILESDIR}/simias-1.8.3-server-setup-1.diff
#	epatch ${FILESDIR}/no_write_to_etc_during_install.diff
#	epatch ${FILESDIR}/new_default_simias.config.diff
#	epatch ${FILESDIR}/flex_in_lib64.diff
#	epatch ${FILESDIR}/${PN}-simias-server-setup.patch
	eautoreconf || die "eautoreconf failed"
}

src_configure() {
	econf --with-clientplugins --with-simiasdatadir="\${HOME}/.local/share/simias" || die "configure failed"
}

src_compile() {
        emake -j1 || die "build failed"
}

src_install() {
	make DESTDIR="${D}" install || die "Error install ${PN}"
}

