# Copyright 1999-2010 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI="2"
WANT_AUTOMAKE=1.9
#ESVN_REPO_URI="https://forgesvn1.novell.com/svn/ifolder/trunk/ifolder/@${PV/3.8_pre/}"
#inherit mono eutils autotools subversion
inherit mono eutils autotools

DESCRIPTION="Novell iFolder"
HOMEPAGE="http://www.ifolder.com/"
SRC_URI="mirror://sourceforge/ifolder3/files/iFolder%20Clients/3.8.0/${P}.tar.gz
	http://ftp.disconnected-by-peer.at/ifolder/${P}.tar.gz"

LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~arm ~x86"

IUSE=""
DEPEND=">=dev-lang/mono-2.4
	>=dev-dotnet/gconf-sharp-2.0
	>=dev-dotnet/gnome-sharp-2.0
	>=dev-dotnet/gtk-sharp-2.0
	>=net-misc/simias-1.8
	>=net-libs/gsoap-2.7.1
	>=gnome-base/eel-2.12
	!<net-misc/ifolder3-${PV}
	!net-misc/ifolder"

RDEPEND=">=dev-lang/mono-2.2
	>=dev-dotnet/gconf-sharp-2.0
	>=dev-dotnet/gnome-sharp-2.0
	>=dev-dotnet/gtk-sharp-2.0
	>=net-misc/simias-1.8"
PDEPEND="=net-misc/ifolder3-client-plugins-${PV}"

#S="${WORKDIR}/${PN}"

pkg_setup() {
	if [[ $(gcc-major-version) -eq 4 ]]; then
		if [[ $(gcc-minor-version) -gt 3 ]]; then
		eerror "ifolder3 requires <gcc-4.4 in order to work correctly"
		eerror "please compile it switching to gcc-4.3."
		die "gcc 4.4 cannot build ifolder3"
		fi
	fi
}


src_prepare() {
	rm -rf dependencies
	epatch "${FILESDIR}"/ifolder-3.7-desktop-file-categories.patch  || die "Error applying patch"
	epatch "${FILESDIR}"/ifolder-3.7-mono22-2.patch  || die "Error applying patch"
	epatch "${FILESDIR}"/ifolder-lib_name.dpatch  || die "Error applying patch"
	epatch "${FILESDIR}"/ifolder-3.7-use_system_gsoap.patch  || die "Error applying patch"
	epatch "${FILESDIR}"/ifolder-3.7-gnome-hack-1.patch  || die "Error applying patch"
	epatch "${FILESDIR}"/iFolderViewGroup.cs_log.diff  || die "Error applying patch"
	eautoreconf || die "eautoreconf failed"
}

src_configure() {
	econf || die "configure failed"
}

src_compile() {
	emake -j1 || die "build failed"
}

src_install() {
	emake DESTDIR="${D}" install || die "install failed"
}
