# Copyright 1999-2009 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI="2"
WANT_AUTOMAKE=1.9
ESVN_REPO_URI="https://forgesvn1.novell.com/svn/ifolder/trunk/ifolder/@${PV/3.8_pre/}"

inherit mono eutils autotools subversion

DESCRIPTION="Novell iFolder"
HOMEPAGE="http://www.ifolder.com/"
#SRC_URI="http://distfiles.one-gear.com/distfiles/${PN}${PV:0:1}-${PV}.tar.gz"

LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~arm ~x86"

IUSE=""
DEPEND=">=dev-lang/mono-2.4
	>=dev-dotnet/gconf-sharp-2.0
	>=dev-dotnet/gnome-sharp-2.0
	>=dev-dotnet/gtk-sharp-2.0
	>=net-misc/simias-1.7
	>=net-libs/gsoap-2.7.1
	>=gnome-base/eel-2.12
	!<net-misc/ifolder3-${PV}
	!net-misc/ifolder"

RDEPEND=">=dev-lang/mono-2.2
	>=dev-dotnet/gconf-sharp-2.0
	>=dev-dotnet/gnome-sharp-2.0
	>=dev-dotnet/gtk-sharp-2.0
	>=net-misc/simias-1.7"

S="${WORKDIR}/${PN}"

src_prepare() {
	epatch "${FILESDIR}"/ifolder-3.7-desktop-file-categories.patch  || die "Error applying patch"
	epatch "${FILESDIR}"/ifolder-3.7-mono22-2.patch  || die "Error applying patch"
	epatch "${FILESDIR}"/ifolder-lib_name.dpatch  || die "Error applying patch"
	epatch "${FILESDIR}"/ifolder-3.7-use_system_gsoap.patch  || die "Error applying patch"
	epatch "${FILESDIR}"/ifolder-3.7-gnome-hack-1.patch  || die "Error applying patch"
	epatch "${FILESDIR}"/iFolderViewGroup.cs_log.diff  || die "Error applying patch"
	eautoreconf || die "eautoreconf failed"
}

src_configure() {
	econf || die "configure failed"
}

src_compile() {
	emake -j1 || die "build failed"
}

src_install() {
	emake DESTDIR="${D}" install || die "install failed"
}
