# Copyright 1999-2010 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI="2"
WANT_AUTOMAKE=1.9
#ESVN_REPO_URI="https://forgesvn1.novell.com/svn/simias/trunk/@${PV/1.8_pre/}"
#inherit eutils mono autotools subversion

inherit eutils mono autotools

DESCRIPTION="Simias SimpleServer"
HOMEPAGE="http://www.ifolder.com/"
SRC_URI="mirror://sourceforge/ifolder/iFolder%20Clients/3.8.0/${P}.tar.gz
	http://ftp.disconnected-by-peer.at/ifolder/${P}.tar.gz"
RESTRICT="mirror"

SLOT="0"
LICENSE="GPL-2"
KEYWORDS="~amd64 ~arm ~x86"

DEPEND=">=dev-lang/mono-2.4
	>=dev-dotnet/xsp-2.4
	>=dev-dotnet/log4net-1.2.9
	>=dev-db/libflaim-4.9.617
	>=net-libs/gsoap-2.7.1
	!www-apps/ifolder-server"

#S=${WORKDIR}/${PN}

src_prepare() {
	rm -rf dependencies
#	epatch "${FILESDIR}"/configure.in-xsp-check-by-dl9pf-version3.diff
#	epatch "${FILESDIR}"/simias-libtool22-1.patch
	epatch "${FILESDIR}"/simias-1.8-mono22-5.patch
#	epatch "${FILESDIR}"/simias-mononamespace.dpatch
#	epatch "${FILESDIR}"/simias-etc_use_destdir.dpatch
#	epatch "${FILESDIR}"/simias-bash.dpatch
	epatch "${FILESDIR}"/simias-1.8.2-libflaim-1.patch
#	epatch "${FILESDIR}"/simias-libflaim_shared-1.patch
	epatch "${FILESDIR}"/simias-1.8-use_system_gsoap-3.patch
#	epatch "${FILESDIR}"/simias-recovery_agent-fix-1.patch
#	epatch "${FILESDIR}"/WSDLPATCH-1.diff
	epatch "${FILESDIR}"/simias-1.8.3.9328.1-system_xsp-1.patch
	eautoreconf || die "eautoreconf failed"
}

src_configure() {
	econf --with-runasclient --with-simiasdatadir="\${HOME}/.local/share/simias" || die "configure failed"
}

src_compile() {
	emake -j1 || die "build failed"
}

src_install() {
	emake DESTDIR="${D}" install || die "install failed"
}
